AutoCAD 2009 Help

Need help fast?

  • Use the three tabs in the upper-left to navigate through the Help system.
  • Post questions on Autodesk discussion groups.
  • Access additional PDF documents on your computer.
  • Open the Learning Resources web page for additional help, including the support database, tips, and tutorials.
General Information

Help Files

User's Guide

Command Reference

Driver and Peripheral Guide

Installation and Licensing Guides

Customization Guide

AutoLISP, Visual LISP, and DXF

ActiveX Automation and VBA
Resources on the Web


User's Guide

The User's Guide explains AutoCAD concepts, provides step-by-step procedures and associated commands, and includes a glossary with definitions of AutoCAD terms. To browse the User's Guide, use the Contents tab on the left side of the Help window.

  • Get Information
  • The User Interface
  • Start, Organize, and Save a Drawing
  • Control the Drawing Views
  • Choose a Work Process Before You Begin
  • Create and Modify Objects
  • Work with 3D Models
  • Annotate Drawings
  • Plot and Publish Drawings
  • Share Data Between Drawings and Applications
  • Work with Other People and Organizations
  • Create Realistic Images and Graphics
  • Glossary
General Information

Help Files

User's Guide

Command Reference

Driver and Peripheral Guide


Command Reference

The Command Reference provides a comprehensive reference to all AutoCAD commands and system variables. To browse the Command Reference, use the Contents tab on the left side of the Help window.

  • Commands
  • Command Modifiers
  • System Variables
  • Utilities
General Information

Help Files

User's Guide


Driver and Peripheral Guide

The Driver and Peripheral Guide provides information about plotters and plotter configuration, pointing devices, AutoSpool, and external database configuration. To browse the Driver and Peripheral Guide, use the Contents tab on the left side of the Help window.

  • Pointing Devices
  • Use Plotters and Printers
  • Set Device-Specific Configurations
  • Configure for File Output
  • Configure External Databases
  • Driver Custom Properties Reference
General Information

Help Files

User's Guide


Installation and Licensing Guides

The installation and licensing guides provide information about installing and activating AutoCAD on a workstation, as well as licensing and deploying AutoCAD on a network. To browse the installation and licensing guides, use the Contents tab on the left side of the Help window.

  • Installation
    • Stand-Alone Installation Guide
    • Network Administrator's Guide
  • Licensing
    • Stand-Alone Licensing Guide
    • Network Licensing Guide
    • License Borrowing Guide
General Information

Help Files

User's Guide


Installation

The installation documentation provides information about installing and activating AutoCAD on a workstation, as well as deploying AutoCAD from a network location. To browse the stand-alone and network installation documentation, use the Contents tab on the left side of the Help window.

  • Stand-Alone Installation Guide
  • Network Administrator's Guide
General Information

Help Files

User's Guide


Stand-Alone Installation Guide

The Stand-Alone Installation Guide provides instructions for installing and activating AutoCAD on an individual computer. To browse the stand-alone installation documentation, use the Contents tab on the left side of the Help window.

  • Quick Start to Stand-Alone Installation
  • Move to AutoCAD 2009 From a Previous Release
  • Install AutoCAD for an Individual User
  • Installation Troubleshooting
General Information

Help Files

User's Guide


Network Administrator's Guide

The Network Administrator's Guide provides instructions for deploying AutoCAD on a network. To browse the Network Administrator's Guide, use the Contents tab on the left side of the Help window.

  • Quick Start to Network Administration
  • System Requirements
  • Deploy the Program
  • Use Scripts to Deploy the Program
  • Use Group Policies to Install a Deployment
  • Distribute the Product Using Imaging Software
  • Glossary
General Information

Help Files

User's Guide


Licensing

The licensing documentation provides information about licensing AutoCAD on a workstation or on a network. To browse the licensing documentation, use the Contents tab on the left side of the Help window.

  • Stand-Alone Licensing Guide
  • Network Licensing Guide
  • License Borrowing Guide
General Information

Help Files

User's Guide


Stand-Alone Licensing Guide

The Stand-Alone Licensing Guide provides information and instructions for managing an Autodesk stand-alone license on a workstation. To browse the Stand-Alone Licensing Guide, use the Contents tab on the left side of the Help window.

  • Quick Start to Autodesk Stand-Alone Licensing
  • Troubleshoot a License Error
General Information

Help Files

User's Guide


Network Licensing Guide

The Network Licensing Guide provides information about installing the Network License Manager on a network. To browse the Network Licensing Guide, use the Contents tab on the left side of the Help window.

  • Quick Start to Autodesk Network Licensing
  • Introduction to Autodesk Network Licensing
  • Plan Your Network Licensing
  • Network Licensing Tools
  • Glossary
General Information

Help Files

User's Guide


License Borrowing Guide

The License Borrowing Guide provides instructions for borrowing an AutoCAD license from a network.

  • License Borrowing
General Information

Help Files

User's Guide


Customization Guide

The Customization Guide tells experienced users how to customize AutoCAD. To browse the Customization Guide, use the Contents tab on the left side of the Help window.

  • Basic Customization
  • Custom Linetypes
  • Custom Hatch Patterns
  • Customize the User Interface
  • DIESEL
  • Slides and Command Scripts
  • Introduction to Programming Interfaces
  • Shapes and Shape Fonts
General Information

Help Files

User's Guide


AutoLISP, Visual LISP, and DXF

You can access the AutoLISP, Visual LISP, and DXF documentation by choosing Developer Help from the AutoCAD Help menu.

  • AutoLISP Reference. Provides a comprehensive reference for AutoLISP, a full-featured, interpretive programming language that you can use to call AutoCAD commands, system variables, and dialog boxes.
  • AutoLISP Developer's Guide. Provides information for using the Visual LISP interactive development environment to develop and test AutoLISP programs. Also describes how to use the AutoLISP extensions provided with Visual LISP to create ActiveX automations.
  • AutoLISP Tutorial. Provides step-by-step lessons that teach you how to use Visual LISP to develop an AutoLISP application.
  • DXF Reference. Provides a comprehensive reference to the DXF file format.
General Information

Help Files

User's Guide


ActiveX Automation and VBA

You can access the ActiveX Automation and VBA documentation by choosing Developer Help from the AutoCAD Help menu.

  • ActiveX and VBA Developer's Guide. Explains how to use ActiveX and VBA to develop an application to customize AutoCAD. Includes sample code and step-by-step procedures.
  • ActiveX and VBA Reference. Provides a reference to the ActiveX object model and its associated interface components.
  • Sheet Set Objects Reference. Provides a reference to the objects available for Sheet Set Manager.
  • Connectivity Automation Reference. Provides a reference to the Connectivity Automation object model and its associated interface components.
General Information

Help Files

User's Guide


Show Me Animations

The AutoCAD 2009 Help system provides animated examples in many topics throughout the Help system. You can access the topics containing these "Show Me" animations directly from the list below.

Use the Navigation Tools

Navigate a Model with the ViewCube

Navigate a Drawing with the SteeringWheels

Rewind Tool

Overview of ShowMotion

Work with the Action Recorder

Create an Action Macro

Playback an Action Macro

Scale Annotations Automatically

Scale Annotations Automatically Overview

Set Annotation Scale

Set Annotation Visibility

Add Scale Representations to Objects

Modify Scale Representations

Create Multileaders

Align Multileaders

Create Better Tables

Break Tables into Multiple Parts

Insert Table Data Automatically

Modify Dimensions

Adjust the Distance Between Dimensions

Add a Break to a Dimension

Add a Jog to a Linear Dimension

Work with User Interface Elements

Set Interface Options

Get Information through InfoCenter

Access Communication Center

Save and Access Favorite Topics through InfoCenter

Receive New Information Notifications

Specify InfoCenter Settings

Create 3D Objects

Create a Solid Cone

Create a Polysolid

Create a Solid or Surface by Sweeping

Create a Solid or Surface by Lofting

Draw Helixes

Modify 3D Objects

Manipulate Individual Solids and Surfaces

Press or Pull Bounded Areas

Modify Helixes

Add Edges and Faces to Solids

Move, Rotate, and Scale Subobjects

Work with 3D Tools

Use the Dynamic UCS with Solid Models

Create Section Objects

Add Jogs to a Section

Use Visual Tools

Overview of the Ribbon

Organize Tools Using the Ribbon

Overview of Menu Access

Browse Menus to Find and Execute Commands

Recent Documents

Currently Open Documents

View Recent Actions

Walk and Fly Through a Drawing

Sun and Sky Simulation

Define the Geographic Location for a DWG File

Quick Access Toolbar

Switch Between Layouts in the Current Drawing

Customize the User Interface

Create Task-Based Workspaces

Migrate and Transfer Customizations

Create and Load a Partial CUI File

Create, Edit, and Reuse Commands

Create Images for Commands

Create and Edit Toolbars

Create a Pull-Down Menu

Add Shortcut Keys and Temporary Override Keys

Create and Edit Ribbon Panels

Create and Edit Ribbon Tabs

Customize Workspaces


AutoCAD 2009 Learning Resources

1 Learn AutoCAD 2009 Basics
Use these resources to help you get started using AutoCAD 2009.
User's Guide New Features Workshop Tutorials Customization
Learn in depth about the commands, terminology, and workflows using the AutoCAD 2008 Help. | See what's new for this release with demos, tutorials, and feature overviews. | Learn the toolsets and features that AutoCAD 2009 offers with these step-by-step tutorials. | Use the API Reference to customize AutoCAD 2009.
2 Additional Learning Resources
Use these resources to help you continue learning and building your skills with AutoCAD 2009.
Support Knowledge Database User Groups Training Resources
Learn proven techniques from industry experts working with AutoCAD 2009. | Exchange knowledge with other AutoCAD 2009 users in these online forums. | Learn AutoCAD 2009 at your own pace from a wide range of learning tools.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!


Additional Documents available

The files listed below can be accessed on your computer under the Help folder in your product.

Getting Started

This guide provides an introduction to the most commonly used features in AutoCAD. It takes about four hours to complete the tutorials. Use it to learn the basic features so you can begin working quickly. (newfeatures\adsk_gsg.pdf)

Building Your World

This guide presents a foundation to the most important concepts and techniques in solid modeling. The tutorials in this guide are important for conceptual design and visualization in many disciplines such as architecture, mechanical design, and civil engineering.(buildyourworld\acad_byw.pdf)

New Icon Quick Reference

This reference illustrates the new toolbar icons used in AutoCAD 2009. (newfeatures\acad_new_icons.pdf)

Cue Cards

The cards included in the product have also been made available in PDF format. Each card includes a handy summary of the essential functions of each new feature in AutoCAD 2009 along with resources for additional information.(newfeatures\acad_cue_cards.pdf)
General Information

Help Files

User's Guide


Copyrights and Trademarks

© 2008 Autodesk, Inc. All rights reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

Certain materials included in this publication are reprinted with the permission of the copyright holder.

Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, ActiveShapes, Actrix, ADI, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Insight, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Can You Imagine, Character Studio, Cinestream, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Create>what’s>Next> (design/logo), Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design|Studio (design/logo), Design Your World, Design Your World (design/logo), DWF, DWG, DWG (logo), DWG TrueConvert, DWG TrueView, DXF, EditDV, Education by Design, Extending the Design Team, FBX, Filmbox, FMDesktop, Freewheel, GDX Driver, Gmax, Heads-up Design, Heidi, HOOPS, HumanIK, i-drop, iMOUT, Incinerator, IntroDV, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), LocationLogic, Lustre, Maya, Mechanical Desktop, MotionBuilder, ObjectARX, ObjectDBX, Open Reality, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, Reactor, RealDWG, Real-time Roto, Render Queue, Revit, Showcase, SketchBook, StudioTools, Topobase, Toxik, Visual, Visual Bridge, Visual Construction, Visual Drainage, Visual Hydro, Visual Landscape, Visual Roads, Visual Survey, Visual Syllabus, Visual Toolbox, Visual Tugboat, Visual LISP, Voice Reality, Volo, and Wiretap.

The following are registered trademarks or trademarks of Autodesk Canada Co. in the USA and/or Canada and other countries: Backburner, Discreet, Fire, Flame, Flint, Frost, Inferno, Multi-Master Editing, River, Smoke, Sparks, Stone, Wire.

All other brand names, product names or trademarks belong to their respective holders.

Disclaimer

THIS PUBLICATION AND THE INFORMATION CONTAINED HEREIN IS MADE AVAILABLE BY AUTODESK, INC. “AS IS.” AUTODESK, INC., DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE REGARDING THESE MATERIALS.


No Help Available

There is no information available for the current command. The command may be obsolete. You can use the Search tab to find information on related commands or tasks.